用户名:
   密  码:
             
 用户注册!    忘记密码?
 
 当前位置:首页 - 其他内容 - 弹簧知识
 
弹簧的画法
 
更新时间:2011.03.16 浏览次数:
 

CAD并不是专业的3维软件,所以并不适合画这种东西,写这个画法主要是让大家学习一下lisp的使用和实体拉伸的画法

1、去网上寻找lisp代码
以下是陈老师写的代码,很简洁,有兴趣的朋友可以学习一下。复制到剪贴板
;; HELIX .LSP 螺旋线生成
(Defun C:Helix ()
(SetQ p (GetPoint "\n中心点: ") x (Car p) y (Cadr p) z (Caddr p)
r (GetDist p "\n半径: ")
b (GetDist p "\n总高度: ")
a (GetAngle p "\n起始角: ")
m (GetInt "\n圈数: ")
n (GetInt "\n每圈线段数: ")
da (/ (* m 2 Pi) (* m n))
dz (/ b (* m n))
)
(Command "3dpoly")
(Repeat (1+ (* m n))
(Command (Polar (List x y z) a r))
(SetQ a (+ a da) z (+ z dz))
)
(Command "")
(PrinC)
)

2、菜单:工具—autolisp—visual lisp编辑器
把代码粘贴到文本窗口(或直接粘贴到记事本中),保存为helix.lsp后关闭编辑器


3、菜单:工具—autolisp—加载


4、输入命令helix
注意,这个命令是第一行Defun C:后面的那个单词,不是加载的文件名
根据提示输入尺寸获得立体螺旋线,然后把坐标竖起来画一个圆


5、用路径拉伸小圆


请注意:我们可以看到这个弹簧不光滑,说明在输入数据时要增加段数,不能把多段线转化为样条线,因为数学模型是不正确的,这是我不久前从陈老师那儿学到的

另外,有很多朋友不知道哪里可以得到lisp代码,我推荐大家2个著名的网站:明经通道和晓东空间,那边有很多值得学习的东西

 
首页 |  公司简介 |  产品概述 |  新闻中心 |  产品展示 |  下载中心 |  求职招聘 |  帐户中心 |  购 物 车 |  服务信息 |  留 言 簿 |  联系我们 |  English | 

地址:厦门市湖里区火炬园高科技创新城6楼 电话:0592-5289710 传真:0592-5513310 E-mail:ybin1207@163.com  闽ICP备10022802号